package com.ywt.mg.core.utils;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.ObjectNode;

/**
 * ObjectNode处理
 */
public class ObjectNodeHelper {
    public static String getStringValue(ObjectNode jsonNode, String key) {
        JsonNode node = jsonNode.get(key);
        return node == null ? "" : node.textValue();
    }
    public static int getIntValue(ObjectNode jsonNode, String key) {
        JsonNode node = jsonNode.get(key);
        return node == null ? 0 : node.intValue();
    }
}
